package com.rf.psychological.mp.schedule;

import com.rf.psychological.mp.utils.MpUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @Author:zzf
 * @Date:2024/7/18:16:26
 * @Description:
 */
@Slf4j
@Component
public class Task {

    @Autowired
    private MpUtils mpUtils;



    /**
     * 获取接口访问凭证
     * 失效时间两小时，两小时最后的五分钟内新老token可以一起使用，刷新事件115分钟
     * @return
     */
    @Scheduled(fixedRate = 1000*6900)
    private  void getAccessToken(){
        //1.accesstoken
        mpUtils.getMpAccessToken();
        //2.jsapiTicket
        mpUtils.getMpJsapiTicket();
    }

}
